# Copyright (c) 2006 - 2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix		/usr/share/mkcdrec
%ifarch ia64
%define _boot_arch	ia64
%endif
%ifarch x86_64
%define _boot_arch	x86_64
%endif
%ifarch %{ix86}
%define _boot_arch	x86
%endif

Summary:		mkCDrec (make CD-ROM Recovery) disaster recovery tool-set
Name:			mkcdrec
Version:		0.9.9
Release:		0.1.3%{?dist}
Source:			http://mkcdrec.ota.be/mkCDrec_v%{version}.tar.gz
Source1:		http://freshmeat.net/redir/mkcdrecutils/6477/url_tgz/mkCDrec_v0.7.9_utils.tar.gz
Patch1:			mkcdrec-0.9.9-platform.patch
Patch2:			mkcdrec-0.9.8-add_ohter_mount_cmd.patch
Patch3:			mkcdrec-0.9.8-change_CD.patch
Patch4:			mkcdrec-0.9.9-scsi-cdrom.patch
Patch5:			mkcdrec-0.9.9-kernel-version-detect.patch
URL:			http://mkcdrec.ota.be/
License:		GPL
Group:			Productivity/Archiving/Backup
Requires:		ash
Requires:		bash
Requires:		cdrecord
Requires:		coreutils
Requires:		fileutils
Requires:		kernel
Requires:		MAKEDEV
Requires:		mkisofs
Requires: 		parted
Requires:		rsync
Requires:		tar
Requires:		syslinux
Requires:		util-linux
BuildRequires:	gcc
BuildRoot:		%{_tmppath}/%{name}-%{version}-root

%description
mkCDrec (Make CDROM Recovery) makes a bootable (El Torito) disaster
recovery image, including backups of the Linux system to one or
more CD-ROM(s) (multi-volume sets).

Otherwise, the backups can be stored on another disk, NFS disk,
or (remote) tape. After a disk crash or system intrusion, the
system can be booted from the CD-ROM and one can restore the
complete system as it was. It also features disk cloning, which
allows one to restore a disk to another disk (the destination
disk does not have to be of the same size, as it calculates the
partition layout itself). Currently, ext2, ext3, minix, msdos,
fat, vfat, reiserfs, xfs and jfs filesystems are supported.

One Button Disaster Recovery (OBDR) is also supported as recovery
method.

This package includes also the mkCDrec utilities. These are optional
for mkCDrec itself, but are an added value for rescue and recovery
purposes. The utilities are staticly compiled and include parted,
memtest, partimage, gpart, and recover. Memtest86 is also available
for memory testing.

%prep
%setup -q -n %{name} -a1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
find . -name CVS | xargs %__rm -Rfv

# adjust path in wrapper-script
%__sed -i -e 's|MKCDREC_HOME=/var/opt/mkcdrec|MKCDREC_HOME=%{_prefix}|g' \
	contributions/%{name}

%__sed -i -e 's|-Werror||g' \
	busybox/Makefile.flags

%build
%__make %{?jobs:-j%{jobs}} \
	-f Makefile.%{_boot_arch} \
	build

%install
%__install -dm 755 %{buildroot}%{_prefix}/busybox/applets
for i in busybox*/busybox busybox*/busybox.links; do
	%__install -m 755 $i \
		%{buildroot}%{_prefix}/busybox
done
%__install -m 755 busybox*/applets/install.sh \
	$RPM_BUILD_ROOT%{_prefix}/busybox/applets

%__install -dm 755 %{buildroot}%{_prefix}/bin
for i in  cutstream*/cutstream \
	mediacheck/checkisomd5 \
	mediacheck/implantisomd5 \
	pastestream*/pastestream; do
	%__install -m 755 $i \
		%{buildroot}%{_prefix}/bin
done

%__install -dm 755 %{buildroot}%{_prefix}/contributions
for i in contributions/*.sh \
	contributions/mkcdrec; do
	%__install -m 755 $i \
		%{buildroot}%{_prefix}/contributions
done

%__install -dm 755 %{buildroot}%{_prefix}/scripts/messages
for i in scripts/messages/*; do
	%__install -m 644 $i \
		%{buildroot}%{_prefix}/scripts/messages
done
for i in `find scripts -type f`; do
	%__install -m 755 $i \
		%{buildroot}%{_prefix}/$i
done

%__install -dm 755 %{buildroot}%{_prefix}/modules
for i in modules/*; do
	%__install -m 755 $i \
		%{buildroot}%{_prefix}/modules
done

%__install -dm 755 %{buildroot}%{_prefix}/etc
for i in `find etc -type d`; do
	%__install -dm 755  $i \
		%{buildroot}%{_prefix}/$i
done
for i in `find etc -type f`; do
	%__install -m 755  $i \
		%{buildroot}%{_prefix}/$i
done

%__install -dm 755 %{buildroot}%{_prefix}/usr
for i in `find usr -type d`; do
	%__install -dm 755  $i \
		%{buildroot}%{_prefix}/$i
done
for i in `find usr -type f`; do
	%__install -m 755  $i \
		%{buildroot}%{_prefix}/$i
done

for i in `find . -maxdepth 1 -type f`; do
	%__install -m 755  $i \
		%{buildroot}%{_prefix}/$i
done

%__install -dm 755 %{buildroot}%{_prefix}/doc
for i in doc/autorun.inf doc/README doc/CD-Rom.ico; do
	%__install -m 644 $i \
		%{buildroot}%{_prefix}/$i
done

%__install -dm 755 %{buildroot}%{_mandir}/man8
install -m 755 doc/mkcdrec.8 \
	%{buildroot}%{_mandir}/man8

%__install -dm 755 %{buildroot}/usr/sbin
%__install -m 750 contributions/%{name} \
	%{buildroot}/usr/sbin/%{name}

for i in \
	%{buildroot}%{_prefix}/scripts/.cvsignore \
	%{buildroot}%{_prefix}/.cvsignore \
	%{buildroot}%{_prefix}/COPYING \
	%{buildroot}%{_prefix}/Changelog \
	%{buildroot}%{_prefix}/README; do
	%__rm $i
done

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc Changelog README COPYING
/usr/sbin/mkcdrec
%config(noreplace) %{_prefix}/Config.sh

%dir %{_prefix}
%{_prefix}/VERSION
%{_prefix}/.config.bb
%{_prefix}/linuxrc
%{_prefix}/linuxrc_find_and_prep_root
%{_prefix}/linuxrc_post
%{_prefix}/linuxrc_pre
%{_prefix}/Makefile
%{_prefix}/Makefile.*

%dir %{_prefix}/bin
%{_prefix}/bin/*
%dir %{_prefix}/busybox
%{_prefix}/busybox/*
%dir %{_prefix}/contributions
%{_prefix}/contributions/*
%dir %{_prefix}/doc
%{_prefix}/doc/*
%dir %{_prefix}/etc
%{_prefix}/etc/*
%dir %{_prefix}/modules
%{_prefix}/modules/*
%dir %{_prefix}/scripts
%{_prefix}/scripts/*
%dir %{_prefix}/usr
%{_prefix}/usr/*

%{_mandir}/man8/*

%triggerpostun -- mkcdrec <= 0.9.8
if [ $1 -eq 2 ]; then
    install -m 750 %{_prefix}/contributions/mkcdrec /usr/sbin/mkcdrec
fi

%changelog
* Tue Jun 16 2009 Shu Li <shu.li@asianux.com> - 0.9.9-0.1.3%{?dist}
- add patch5 to fix current kernel detect bug (AXBug#6426) 

* Thu Apr 21 2009 Shu Li <shu.li@asianux.com> - 0.9.9-0.1.2%{?dist}
- add patch4 to support scsi cdrom (AXBug#6175)

* Thu Mar 05 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 0.9.9-0.1.1%{?dist}
- merge Asianux changes to the new package which based on 0.9.9-0.pm.1
- modify spec file for Asianux
- Patch1 modify some platform definition and file location definition
- add mount.* command into Config.sh to mount NFS/CIFS/OCFS2
  (Patch2,AXBug#4548)
- Patch 3 Fix cannot change CD bug,(AXBug#4544)

* Thu Sep 04 2008 Toni Graffy <toni@links2linux.de> - 0.9.9-0.pm.1
- update to 0.9.9
- changed Group to Productivity/Archiving/Backup
- added makedev to Requires
* Wed Nov 21 2007 Toni Graffy <toni@links2linux.de> - 0.9.8-0.pm.1
- update to 0.9.8
* Tue Sep 11 2007 Toni Graffy <toni@links2linux.de> - 0.9.7-0.pm.3
- openSUSE-10.3 build
* Tue Jun 19 2007 Toni Graffy <toni@links2linux.de> - 0.9.7-0.pm.1
- update to 0.9.7
* Fri Jan 19 2007 Toni Graffy <toni@links2linux.de> - 0.9.6-0.pm.1
- update to 0.9.6
* Mon Nov 13 2006 Toni Graffy <toni@links2linux.de> - 0.9.5-0.pm.1
- update to 0.9.5
* Tue Oct 10 2006 Toni Graffy <toni@links2linux.de> - 0.9.4-0.pm.1
- added mkcdrec-utilities 0.7.9
- spec based on distributed spe-file from Gratien D'haese
